## install

node JS lts (v16.15.0)

puis `npm install`

## lancer

* `node backend/server.js` ou `npx nodemon .\backend\server.js` pour reload si un fichier est modifié
* Une page de test est accessible sur localhost:5000
* Une autre page (frontend/test.html) permet d'obtenir la distance entre les points des tangibles pour configurer dans config.json `maxDistanceBetweenPoints` et `sizeOfOpposedSegment`en fonction de l'écran et des objets utilisés

## idées d'amélioration

* attendre plusieur signaux pour valider un triangle
* FAIT filter sur la position (pas deux triangles dans la même zone)
* FAIT points plus éloignés sur les tangibles -> meilleure précision
* FAIT connaitre les distances précises entre les points d'un triangle pour éviter les faux positifs
* traitement uniquement coté navigateur
* check performances
